#!/usr/bin/env node
import { StdioServerTransport } from "@modelcontextprotocol/sdk/server/stdio.js";
import { createMCPServer } from "../common/createMCPServer.js";
async function main() {
    if (!process.env.JASPER_API_KEY) {
        console.error("JASPER_API_KEY environment variable is not set. Please set it and try again.");
        process.exit(1);
    }
    const server = createMCPServer(process.env.JASPER_API_KEY, "https://api.jasper.ai/v1", "local");
    const transport = new StdioServerTransport();
    console.error("Jasper MCP Server is starting...");
    server.connect(transport);
    console.error("Jasper MCP Server is running and ready to receive requests.");
}
main().catch((error) => {
    console.error("Fatal error in main():", error);
    process.exit(1);
});
