// Create server instance
import { registerGenerateContentTool } from "./tools/generateContent.js";
import { registerGetStylesResource } from "./resources/getStyles.js";
import { registerGetBrandVoicesResource } from "./resources/getBrandVoices.js";
import { registerApplyStyleTool } from "./tools/applyStyleTool.js";
import { registerGetAudiencesResource } from "./resources/getAudiences.js";
import { registerGetStylesTool } from "./tools/getStyleGuides.js";
import { registerGetAudiencesTool } from "./tools/getAudiences.js";
import { registerGetBrandVoicesTool } from "./tools/getBrandVoices.js";
import { registerSearchKnowledgeBaseTool } from "./tools/searchKnowledgebaseTool.js";
import JasperMcpServer from "./JasperMcpServer.js";

export const createMCPServer = (
  apiKey: string,
  apiBase: string,
  mcpSourceHeaderValue: "local" | "remote" = "local"
) => {
  const server = new JasperMcpServer(apiKey, apiBase, mcpSourceHeaderValue);

  // Tools
  registerGenerateContentTool(server);
  registerGetBrandVoicesTool(server);
  registerGetAudiencesTool(server);
  registerApplyStyleTool(server);
  registerGetStylesTool(server);
  registerSearchKnowledgeBaseTool(server);

  // Resources
  registerGetStylesResource(server);
  registerGetBrandVoicesResource(server);
  registerGetAudiencesResource(server);
  return server;
};
